HACHA v3.4

DrSoftware@hacha.org
Making life easier... One program at a time

Hacha (Hache en Français) est un programme qui permet de couper tous les fichiers afin qu'il soit plus facile de les transporter, de les partager, de les copier sur des disquettes, de les partager, ou de les envoyer via email sur Internet.

Hacha peut également permettre de faire des sauvegardes de disques durs! Il est possible de compacter tous les dossiers d'un disque dur, puis de couper le fichier compacté en morceaux de 700 Mégas avec hacha, afin qu'ils puissent être gravés sur des CDs.

Avec cette version il est possible de couper un fichier de 602 Mégas en seulement 1minute et 17 secondes !! Cette version peut couper sans problème des fichiers de plus de 1 GB.

Utilisez Hacha pour :

1.- Distribuer des fichiers via Internet :

Pour le webmestre:
Certains sites ne permettent pas de télécharger des fichiers supérieurs à 3 Mégas. Comment faire alors pour télécharger un film ou un CD musical ? C'est la raison pour laquelle de nombreux sites utilisent Hacha.

Pour l'utilisateur:
Il est plus facile de télécharger plusieurs fichiers à la fois, plutôt que de télécharger un seul gros fichier et cela évite par ailleurs les problèmes liés aux coupures ou aux mauvaises connexions.

2.- Eviter les limitations de taille maximale des emails :
La plupart des serveurs de courrier électronique ne permettent pas d'envoyer des fichiers de plus de 1 ou 1,5 Mégas. Dès lors, Hacha permet de couper le fichier en plusieurs parties et de les envoyer en plusieurs emails séparés.

3.- Emmener les fichiers à la maison / au bureau / à l'université / etc.
Hacha permet de couper des fichiers afin de les copier facilement sur des disquettes et de les transporter ou de les envoyer par emails.
Cette version génère un code de validation CRC (Cyclic Redundancy Check) qui permet de vérifier si le fichier recréé est identique au fichier original. Elle permet également de renommer les parties et de les ranger dans des dossiers séparés.

CRC = (Cyclic Redundancy Check) est une méthode de calcul mathématique de vérification de données, propriété de Hacha, cette méthode n'est pas commercialisée et se trouve uniquement dans mes programmes.

Configuration minimale pour utiliser Hacha :

*.- OS/2 avec Odin
*.- Linus avec vine
*.- Windows 95, Windows 98, Windows Me, Windows XP.
*.- Mémoire suffisante pour se souvenir d'écrire au "Dr. Software".

Hacha occupe seulement 97 K! Y compris l'aide...

La fenêtre initiale :

Il y a seulement 3 options, vous ne pouvez pas vous tromper:

  • Couper Pour couper un fichier en plusieurs parties.
  • Coller Pour recréer un fichier à partir de ses parties.
  • Idiome & Aide (Rigth click on the picture).

Pas possible de faire plus simple !

OPTION COUPER

Une fenêtre apparaît afin de sélectionner le fichier à couper. Par défaut, la taille de coupe est 1,38 Mégas (une disquette) mais vous pouvez indiquer la taille de coupe désirée.

Si vous renommez les parties, je recommande de ne pas laisser d'espace dans les noms.

Par exemple, si vous voulez couper le fichier qui s'appelle "Kiss_TourJapan.mp3", il apparaîtra alors dans la case nom et les parties seront nommées:

Kiss_TourJapan.mp3.0
Kiss_TourJapan.mp3.1
Kiss_TourJapan.mp3.2
..
..
Kiss_TourJapan.mp3.nn

Comme indiqué précédemment, il est possible de changer les noms des parties. Par exemple si vous renommez le fichier "monTheme.mp3" les parties seront nommées :

monTheme.mp3.0
monTheme.mp3.1
..
..
monTheme.mp3.nn

Mais attention, lorsque le fichier original sera recréé, il récupérera son nom original, dans ce cas "Kiss_TourJapan.mp3".

Pour couper un fichier il y a 3 options :

"Origine = Destination".-
Si cette option est cochée, les parties seront rangées dans le même dossier que le dossier du fichier original. Si l'option n'est pas cochée, il est possible de choisir le dossier de destination.

Effacer Source
Si cette option est cochée, à la fin du processus, le programme effacera le fichier source. Si l'option n'est pas cochée, le fichier source ne seras effacé.

Créer CRC
Cette option est très importante, puisse qu'elle génère le code de vérification interne du fichier recréé qui permet de valider la reconstruction fidèle du fichier original. Je recommande donc de cocher cette option.

OPTION COLLER

Si vous souhaitez récréer le fichier original à partir de ses parties cliquez sur "coller" et sélectionner la première partie (*.0). Une fenêtre apparaît et il est possible de sélectionner différentes options :

Option CRC
Si cette option a été cochée, lors de la coupe, à la fin de la reconstruction, le programme vérifie l'intégrité du fichier reconstruit. Je recommande donc d'utiliser cette option..

Effacer Source
Permet d'effacer les parties à la fin du processus de reconstruction. En cas d'échec les parties ne sont pas effacées !

Origine = Destination
Cette option permet de déterminer l'emplacement du fichier recréé. Si l'option est cochée, le fichier est recréé dans le dossier où se trouvent les parties. Sinon, il faut déterminer le dossier de destination.

Note : d'autres programmes tentent de copier les parties sur des disquettes. Par expérience, ce n'est pas une bonne solution. Cette version peut couper et coller les parties créées avec d'autres version antérieures du programme Hacha.

Hacha 3.43 est Freeware!

"Hacha" est un FreeWare (gratuit)! Vous avez l'autorisation de faire des copies gratuites ou de distribuer ce programme ainsi que sa documentation (aide). En revanche, il est interdit de le vendre ou de bénéficier de donations pour ce programme..

Hacha v3.4 peut être téléchargé directement sur mon site Web www.hacha.org. Ceux qui le désirent peuvent mettre le programme sur leur site Web, mais ils doivent indiquer que le site officiel du programme Hacha est www.hacha.org.

Hacha 3.4 est distribué gratuitement et sans aucune garantie, ni déclarées, ni implicites. Vous pouvez l'utiliser sous votre entière responsabilité. Le Dr. Software ne sera pas responsable d'éventuelles pertes de données .

Tous droits réservés au fabuleux ©Dr. Software. La version française du programme ainsi que la documentation a été traduite par César Ramos.


"Hacha" (Axe - Ascia - Hache) was created for:
Dr. Software More freeware:
http://www.hacha.org
[ Back ]


HACHA v3.4

DrSoftware@hacha.org
Making life easier... One program at a time

What is Hacha?

Hacha -ax, in Spanish- allows you to break any kind of file in parts as small as 0.01 MB !
You can then transfer the parts to standard 3.5" diskettes, or any other media, thus making big files easy to carry around, share with other people, or send over the Internet. The parts can be reassembled at any time and on any other PC, as long as Hacha is installed on the remote PC.

Hacha 3.4 is fast and easy to use. With this version, you can cut a 600 MB. file in less than 75 seconds, and you can split files bigger than 1 GB without problems. You can choose the source of the file to be split (it could be on a CD) and to choose another location as a target. You can also change the file name if you want.

Hacha 3.4 features a validation code (CRC, Cyclic Redundancy Check) that checks and validates the integrity of a file, thus letting you know whether a file that you reassembled is an exact copy of the original or not. This is particularly important for files downloaded from the Internet, because sometimes downloading fails.

Note: Hacha's CRC is proprietary and cannot be obtained commercially. It is used only in my programs and is one of the fastest around.

Hacha 3.4 is backward compatible, meaning that it can read and reassemble files created with older versions, but the old versions cannot reassemble files created with this one.

SYSTEM REQUIREMENTS

Hacha 3.4 works under either one of these operating systems: OS/2, Windows 95, Windows 98, Windows Me, Windows XP.

Other than that, you are required to be a human being, compatible or cloned, and to have enough memory to remember sending a line to Mahatma "Dr. Software" for this amazing program.

Incidentally, Hacha 3.4 uses many graphics but is only 85 KB big, including the help files.

The main window:

The main window presents you with only three options:
  • CORTAR (cut, in Spanish) to break a file apart.
  • PEGAR (join, glue, paste) to reassemble the parts.
  • Languages & Help (must right click on the picture).

It could not be easier!

CORTAR (CUT)

1.- CORTAR. The standard Open window appears, as illustrated below.

2.- Select the file you want to split, then click Open. The "Cortar Como" (Cut How) window appears, with the name of the selected file in the top text box, as illustrated below:

3.- In the "Tamaño" (Size) area of the window, set the size of the split files. The default size is 1.38 MB, but you can set any size you want. To do so, click the 2nd radio button then type the size you want in the small box on the far right. Keep in mind that the minimum size is 0.01 MB.

4.- Select one or more of the following options (they are cumulative):

*- Origen = Destino (Origin = Target)
 Check this option if you want the split files to be created in the folder where the original file resides. (It is assumed that you have permission to write to that folder, otherwise you will get an error message). If you uncheck this option, you will be prompted to choose a different folder as a target for the split files.

*- Borrar Fuente (Delete Source)
 If you check this option, the source file will be deleted after it has been split. Some teletubies have tried this option with CD-ROMs ]:(. Do not check this option if you want to keep the source file.

*- Generar CRC (Activate CRC)
 Check this option to activate the CRC. The program will tell you later whether or not the reassembled file is exactly the same as the original.

5.- Click "Cancelar" (Cancel) to cancel the whole operation. Otherwise, click "Metele Hacha" (Chop It Up) to go on. A message appears, telling you where the split file will be located, and asking you whether you want to continue the operation. Click Yes to start the process.

The program takes you back to the "Cortar Como" window, where you can see in the progress bar how fast the process goes. When the process is over, a message appears, telling you how many seconds the program took to perform the split and how many split files have been created. Click OK.

Notes: If the name of the file you want to split is Kiss_TourJapan.mp3, for example, the split files will be:
Kiss_TourJapan.mp3.0
Kiss_TourJapan.mp3.1
..
..
Kiss_TourJapan.mp3.nn

You can change the name of the file you want to cut in the text box of the "Cortar Como" window.

For example, you can change the name Kiss_TourJapan.mp3 into MySong.mp3.

The split files will be:
MySong.mp3.0
MySong.mp3.1
.. ..
MySong.mp3.nn

However, when you reassemble the split files, the resulting file will take the name of the original one: "Kiss_TourJapan.mp3".

PEGAR

1.- Click PEGAR. The standard Open window appears.
2.- Select the split file with the 0 extension.

For example, if you split "Kiss_TourJapan.mp3" into Kiss_TourJapan.mp3.0, Kiss_TourJapan.mp3.1, and Kiss_TourJapan.mp3.2, etc. Select Kiss_TourJapan.mp3.0, which, in any case, is the only file showing in the Open window.

This file has also an icon representing a split folder. Click Open. The "Pegar" window appears, as illustrated below:

3.- Select one or more of the following options (they are cumulative):

*- Origen = Destino (Origin = Target)
Check this option if you want the split files to be reassembled in the folder where the pieces reside.

If you did not select the option Origen = Destino, a Browse for Folder will appear, allowing you to select a destination folder.

*- Borrar Fuente (Delete Source)
If you check this option, the split files will be deleted after they have been reassembled.

*-Generar CRC (Activate CRC)
Check this option to activate the CRC. The program will tell you later whether or not the reassembled file is exactly the same as the original.

4.- Click "Cancelar" (Cancel) to cancel the whole operation. Otherwise, click "Pegar Archivos" (Join/glue Files) to go on.

If the original file already exists, the program will ask you whether you want to overwrite it.

If you click No, the whole process is canceled and the program takes you back to the main Hacha 3.4 window. Click Yes if you want to overwrite the original file.

When you are back at the Pegar window, the progress bar shows you how fast the process goes. When it is over, a message tells you so. Click OK.

Notes: Programs similar to this one try to split and save files directly to diskettes. With this method, however, you can loose information because, unbeknownst to you, diskettes can have bad clusters. To avoid this problem, it is safer to have a set of properly formatted diskettes and to manually send the split files to the diskettes, using Windows Explorer, for example.

Hacha 3.4 is Freeware!

You can make as many copies as you want and you can share and/or distribute this program as you wish. However, you must include this help file and I ask you not to make money out of this program, or to solicit donations of any kind.

Hacha 3.4 can be downloaded from my website www.hacha.org in many languages. Please, feel free to put a link to my site, or to any of my programs, in your website.

Hacha 3.4 is distributed as is, without any warranty whatsoever, implied or not. Users use this program at their own risk. Dr. Software is not responsible for loss of, and damage to information. No responsibility is taken either for cerebral damage due to use, abuse, and/or misuse of this program.

©Dr. Software. All rights reserved.

Translated by Nicolas Mertens


HACHA v3.4

DrSoftware@hacha.org
Making life easier... One program at a time

¿Que es el Hacha?

Hacha es un programa que te permite cortar un archivo en partes mas pequeñas (desde varios gigas hasta 0.01 MB !).
Esto te permitira compartir archivos grandes con otras personas, llevarlos en diskettes u otros medios o enviarlos mas facilmente a traves de la Internet.

El Hacha 3.4 es rapido y facil de usar. Esta version te permite cortar un archivo de 600 MB. en solo 75 segundos, tambien te permite cortar archivos mayores de 1 GB sin problemas.

El Hacha 3.4 solo mide 97 KB!

Ud. selecciona el archivo a cortar (puede estar en un CD) y puede seleccionar donde guardar los cortes, tambien si asi lo desea puede cambiar el nombre de los cortes.

Hacha 3.4 puede generar un algoritmo de verificacion (CRC, Cyclic Redundancy Check) que me permite comprobar la integridad de un archivo, es decir me permite saber si el archivo re-creado es una copia fiel del original, ya que muchas veces las descargas de Internet fallan.

Nota: El CRC usado por el Hacha no puede ser obtenido comercialmente ya que fue escrito para uso exclusivo de los programas creados por el Dr. Software y es uno de los mas rapidos que existen ya que esta escrito en assembler y corre directamente en la memoria.

Hacha 3.4 puede re crear archivos cortados con versiones anteriores, pero las versiones anteriores no pueden recomponer archivos cortados con esta version, debido a cambios en la definicion de las partes.

REQUISITOS

*- Ser humano o compatible.
*- Suficiente memoria como para que te acuerdes de escribir al "Dr. Software" agradeciendole por este fabuloso programa.

El Hacha 3.4 trabaja en linux con wine, OS/2 con Odin, Windows 9X, Windows Me, Windows XP y Windows NT.

La ventana principal:

Para tu comodidad so tienes 3 opciones:
  • CORTAR
  • PEGAR
  • Idiomas y Ayuda (Debes hacer click derecho en la figura).

No podria ser mas facil!

CORTAR

1.- CORTAR. La ventana standard de windows aparece, tal como se muestra aqui.

2.- Seleccione el archivo a cortar, click en ABRIR
Aparecera la ventana "Cortar Como" con el nombre del archivo a cortar en la parte superior, tal como se aprecia en la imagen.

3.- En la caja de "Tamaño" (Size) aparecera marcado el tamaño por defecto del corte que es la capacidad de un diskette. Si deseas un tamaño diferente, deberas marcar el segundo boton de radio y escribir en MegaBytes el tamaño requerido puede ser 0.01 (10 kb) o 600 MB, tu decides...

4.- Seleccione una o mas de las siguientes opciones (son acumulativas):

*- Origen = Destino
Marque esta opcion si desea que los cortes sean guardados en la misma carpeta que el archivo origen, si esta opcion esta desmarcada, al momento de proceder al corte, el programa le preguntara por la carpeta destino. Debes tener derecho de escritura en la carpeta destino u obtendras un mensaje de error.

*- Borrar Fuente
Si esta opcion esta marcada, luego de generar los cortes, el archivo origen sera eliminado para ganar espacio en el disco, algunos teletubies han tratado de guardar los cortes en un CD-ROM
]:(
Desmarque esta casilla si desea conservar el archivo original.

*- Generar CRC
Esta opcion no te quitara mucho tiempo, pero comprobara al re ensamblar el archivo que es identico al original.

5.- Click en "Cancelar" para dar por terminada la operacion o has click en "Metele Hacha" para continuar. Aparecera un mensaje para confirmar la operacion. Click en SI, iniciara el corte del archivo.

Reaparecera la ventana "Cortar Como" donde una barra de progreso te indicara el avance del proceso. Al terminar, aparecera un mensaje informando en cuantas partes se corto el archivo y el tiempo que tomo hacerlo. Click en OK.

Nota: Si el nombre del archivo a cortar es "Kiss_TourJapan.mp3", por ejemplo, los cortes se llamaran:
Kiss_TourJapan.mp3.0
Kiss_TourJapan.mp3.1
..
..
Kiss_TourJapan.mp3.nn

Puedes cambiar este nombre en la ventana "Cortar Como".

Por ejemplo puedes cortar el archivo "Kiss_TourJapan.mp3" con el nombre de "MySong.mp3".

Las partes resultantes seran:
MySong.mp3.0
MySong.mp3.1
.. ..
MySong.mp3.nn

Pero cuando al re ensamblar el archivo, se generara el archivo original, es decir "Kiss_TourJapan.mp3".

PEGAR

1.- Click en PEGAR. Aparecera la ventana standard de Window.
2.- Seleccione el archivo cortado que tiene la extension cero (.0).

Ese archivo se mostrara con el icono del Hacha, click en ABRIR, aparecera la ventana "Pegar" tal como se muestra en la grafica.

3.- Seleccione una o mas de las opciones:

*- Origen = Destino
Marque esta opcion si desea que el archivo se re ensamble en la misma carpeta en donde estan los cortes, desmarquela si desea seleccionar una carpeta distinta.

*- Borrar Fuente
Si marca esta opcion, las partes seran borradas luego de re ensamblar el archivo original.

*-Generar CRC
Si el archivo fue cortado con esta opcion, marcando esta opcion puedo saber si el archivo creado es exactamente igual que el original.

4.- Click en "Cancelar" para terminar la operacion o click en "Pegar Archivos" para continuar.

Si el archivo a ser re ensamblado existe, se le pedira confirmacion de sobre escritura.

Volveras a la ventana de pegado y la barra de progreso mostrara el avance de la operacion, al terminar aparecera una caja de mensaje, click en OK.

Nota: Programas similares, tratan de grabar los cortes directamente a los diskettes, por experiencia propia, esta es una mala opcion, ya que si un sector o cluster esta dañado puede que Windows no informe de esta falla y al tratar de re ensamblar el archivo obtendremos un mensaje de error.

Una manera rapida de comprobar si los cortes que hemos recibido estan buenos es ver cuanto miden, solo el ultimo corte tiene tamaño distinto, todos los demas deben medir exactamente lo mismo.

Hay algunos que quieren usar el Hacha para cortar una pelicual y despues verlas por separado, este programa corta el archivo fisicamente por lo que es posible que se vea la primera parte pero no las demas ya que carecen de la cabecera con la descripcion del video, para ello debe usar un editor de video.

El Hacha 3.4 es gratuita!

Puedes hacer tantas copias como desees de este programa y puedes distribuirlo como mejor te paresca, pero esta terminantemente PROHIBIDO pedir dinero o contribucion alguna por este programa. Tambien puedes colocarlo en una pagina web, pero deberas indicar que el programa procede de www.hacha.org

El Hacha 3.4, actualizaciones, soportes y versiones en otros idiomas, pueden ser descargados de mi website oficial www.hacha.org.

El Hacha 3.4 es distribuido tal como esta, sin garantias explicitas o implicitas, lo puede usar bajo su propio riesgo. El Dr. Software no se hace responsable por perdida o daño de informacion, tampoco de los infartos causados por la felicidad de encontrar maravilla semejante totalmente gratis o daño cerebral por el uso continuo de este programa.

©Dr. Software. All rights reserved.

Programa diseñado, codificado, probado y publicado por Leonardo Donaire Perales, el "Dr. Software".